@import url('https://fonts.googleapis.com/css2?family=Forum&family=Imperial+Script&family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Pinyon+Script&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&family=Rouge+Script&family=Spectral:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;1,200;1,300;1,400;1,500;1,600;1,700;1,800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400..700&family=Della+Respira&family=Lavishly+Yours&family=Libre+Baskerville:ital,wght@0,400;0,700;1,400&family=Mea+Culpa&display=swap');
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: Arial, sans-serif;
    color: #000000;
    background-color: #ffffff;
}

header, section {
    background-size: cover;
    background-position: center;
    color: #000000 ;
    text-align: center;
    padding: 20px;
    overflow: hidden;
}

/*portada*/
.portada {

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.portada h2 {
    font-family: Imperial Script;


    font-size: 6em;
    width: 100%;
}

.img-principal{
    width: 30%;

}

.portada .name1 {
    font-family: Dancing Script;
    font-size: 5em;
    width: 100%;
    color: #000000;
}

.portada .name2 {
    font-family: Dancing Script;
    font-size: 5em;
    width: 110%;
    color: #000000;
}

.portada .name3 {
    font-family: Dancing Script;
    font-size: 5em;
    width: 100%;
    color: #000000;
}

.txt-portada {
    font-family: Spectral;
    font-size: 1em;
    width: 100%;
}

.txt-portada2 {
    font-family: Spectral;
    font-size: 1em;
    width: 100%;
}

.txt-portada3 {
    font-family: Spectral;
    font-size: 1em;
    width: 100%;
}

.txt-dia{
    color: black;
    font-size: 2em;
}

.img-aportada{
    width: 30%;
}



.datos .contador, .galeria, .codigo-vestimenta, .ubicacion, .regalos, .confirmar-asistencia {
    min-height: 60vh;
}


/*Contador*/
.sec-contador {
    font-size: 3vw; /* Ajuste adaptable según la pantalla */
    color: white;
    text-align: center;

}

.img-eseparador1{
    width: 30%;  
}

.txt-tcontador{
    font-family: Della Respira;
    font-weight: 400;
    font-size: 2vw;
    color: #000000;
}

.txt-falta{
     font-family: Spectral;
    font-weight: 400;
    font-size: 3vw;
    font-weight: bold;
    color: #000000;
}

.img-eseparador2{
    width: 30%;   
}

.segmento {
    font-family: Spectral;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: #97702d;
}

.segmento div {
    font-size: 6rem; /* Ajuste adaptable según la pantalla */
  
}

.etiqueta {
    font-size: 1.5rem; /* Tamaño de etiqueta adaptable */
    margin-top: -10px;
    font-weight: bold;
    text-align: center;
}

.img-adorno{
    width: 50%;

}


/*Titulos y separadores*/
.separador{
    width: 30%;
}

.separador-linea{
    width: 60%;
}

.txt-titulos{
    font-family: Della Respira;
    font-weight: 400;
    font-size: 2vw;
    color: #000000;
}




/*container para itinerario, regalo y ubicaciones*/
 .container {
            display: flex;
            justify-content: space-between;
            width: 90%;
            max-width: 800px;
            padding: 20px;
           
        }


/*Itinerario*/

        .item-itine {
            flex: 1;
            margin: 0 10px;
            text-align: center;
        }

        .txt-titinerario{    
            font-family: Mea Culpa;
            font-weight: 400;
            font-size: 5vw;
            color: #97702d;
        }

.img-itinerario{
    width: 30%;
    

}
        .item-itine img {
            width: 30%;
            max-width: 300px;
            border-radius: 8px;
            transition: transform 0.3s ease;
        }

        .item-itine img:hover {
            transform: scale(1.05);
        }

        .description-itine1 {
            margin-top: 10px;
            font-size: 1.3rem;
            color: #97702d;
            font-weight: bold;
        }

        .description-itine2 {
            margin-top: 10px;
            font-size: 1rem;
            color: #97702d;

        }

        .linea{        
            height: 2px;
            background: #000000;
            width: 30%;
            margin: auto;
           }

        /* Responsivo para pantallas pequeñas */
        @media (max-width: 600px) {
            .container {
                flex-direction: column;
                align-items: center;
            }

            .item-itine {
                margin: 10px 0;
            }
        } 


/*Ubicación*/

.imagen-ubica {
    width: 15%;
}


/*Vestimenta*/

        .item-vestime {
            flex: 1;
            margin: 0 10px;
            text-align: center;
        }

        .item-vestime img {
            width: 30%;
            max-width: 300px;
            border-radius: 8px;
            transition: transform 0.3s ease;
        }

        .item-vestime img:hover {
            transform: scale(1.05);
        }

        .description-vestime1 {
            margin-top: 10px;
            font-size: 1.3rem;
            color: #000000;
            font-weight: bold;
        }

        .description-vestime2 {
            margin-top: 10px;
            font-size: 1rem;
            color: #000000;
        }



        /* Responsivo para pantallas pequeñas */
        @media (max-width: 600px) {
            .container {
                flex-direction: column;
                align-items: center;
            }

            .item-vestime {
                margin: 10px 0;
            }

            .separador{
             width: 90%;
            }

        }
/*ubicaciones*/

        .item-ubi {
            flex: 1;
            margin: 0 10px;
            text-align: center;
        }

        .item-ubi img {
            width: 100%;
            max-width: 300px;
            border-radius: 8px;
            transition: transform 0.3s ease;
        }

        .item-ubi img:hover {
            transform: scale(1.05);
        }

        .description-ubi1 {
            margin-top: 10px;
            font-size: 1rem;
            color: #000000;
            font-weight: bold;
        }

        .description-ubi2 {
            font-family: Forum;
          margin-top: 0px;
            font-size: 2rem;
            color: #000000;
        }

        .description-ubi3 {
           margin-top: 0px;
            font-size: 1rem;
            color: #0000000;
            font-weight: bold;
        }

        /* Responsivo para pantallas pequeñas */
        @media (max-width: 600px) {
            .container {
                flex-direction: column;
                align-items: center;
            }

            .item-ubi {
                margin: 10px 0;
            }

            .separador{
             width: 90%;
            }

        }

/*Regalos*/
       
        .item-reg {
            flex: 1;
            margin: 0 10px;
            text-align: center;
        }

        .item-reg img {
            width: 30%;
            max-width: 300px;
            border-radius: 8px;
            transition: transform 0.3s ease;
        }

        .item-reg img:hover {
            transform: scale(1.05);
        }

        .description-reg {
            margin-top: 10px;
            font-size: 1rem;
            color: #000000;
        }

        .button-10 {
            padding: 5px 40px;
            background-color: white;
            color: #000000;
            border: 1px solid #000000;
            border-radius: 30px;
        }

        .button-10 i{
            font-size: 2rem;
        }

        .button-10:hover i {
            transform: translateX(3px);
            transition: transform 0.3s;
        }

        /* Responsivo para pantallas pequeñas */
        @media (max-width: 600px) {
            .container {
                flex-direction: column;
                align-items: center;
            }

            .item-reg {
                margin: 10px 0;
            }
        }


/*contacto*/


.contacto a {
    display: inline-block;
    margin: 10px;
    padding: 10px 20px;
    border-radius: 20px;
    text-decoration: none;
    color: #000000;
}

.description-contacto {
            margin-top: 10px;
            font-size: 1rem;
            color: #000000;
            font-weight: bold;
        }

.nf {
    font-family: Pinyon Script;
    bottom: 10px;
    font-size: 4em;
    width: 100%;
}

@media (max-width: 768px) {
    
.txt-titulos{
    font-weight: 400;
    font-size: 10vw;
    margin-bottom: 30px;
}

.txt-datos{

    font-weight: 400;
    font-size: 10vw;
}

.txt-subtitulos{
    font-family: Roboto;
    font-weight: 400;
    font-size: 5vw;

}

.txt-descripcion{
    font-family: Rouge Script;
    font-weight: 400;
    font-size: 14vw;
}

p{
    margin-bottom: 0;
}

.portada h2 {

    top: 10px;
    font-size: 4em;

}

.contador {
        font-size: 8vw;
    }

    .segmento div {
        font-size: 15vw;
    }

    .etiqueta {
        font-size: 4vw;
    }



/*nuevo*/

.portada h2 {
    font-family: Imperial Script;
    font-size: 4em;
    width: 100%;
}

.img-principal{
    width: 80%;
}

.portada .name1 {
    font-size: 5em;
    width: 100%;
    line-height: .5em;
}

.portada .name2 {
    font-size: 6em;
    line-height: 1em;

}

.portada .name3 {
    font-size: 6em;
    line-height: .5em;
}

.img-separador1{
    width: 60%;
}

.txt-portada {
    margin-top: 30px;
    font-family: Spectral;
    font-size: 1em;
    width: 100%;
    line-height: 1.5em;
}

.txt-portada2 {
    font-family: Spectral;
    font-size: 1em;
    width: 100%;
}

.txt-portada3 {
    font-family: Spectral;
    font-size: 1em;
    width: 100%;
}

.img-separador2{
    width: 60%;
}




/**/

.img-datos1{
    width: 80%;
}

.img-datos2{
    width: 80%;
}

.txt-tdatos{
    font-size: 15vw;
}

.txt-titulos{
    font-size: 6vw;
    margin-bottom: 0px;
}

.linea{        
    height: 2px;
    background: #000000;
    width: 90%;
    margin: auto;

}

.txt-falta{
    font-size: 8vw;
}

.img-aportada{
    width: 100%;
}

.img-principal{
    width: 100%;

}

.img-adorno{
    width: 100%;

}

.img-itinerario{
    width: 100%;
}
 
.txt-fdatos{
    font-size: 7vw;
}

.img-dseparador1{
    width: 80%;  
}

.txt-ddatos1 {
    font-family: Spectral;
    font-size: 1.5em;
    width: 100%;
}

.txt-ddatos2 {
    font-family: Spectral;
    font-size: 1.5em;
    width: 100%;
}

.img-dseparador2{
    width: 80%;   
}

/**/
.txt-tcontador, .txt-titinerario{
    font-size: 15vw;
}

.img-eseparador1, .img-eseparador2{
    width: 80%;  
}

/**/

}











